summaryrefslogtreecommitdiff
path: root/sci-misc
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-08-27 03:04:46 -0500
committerroot <root@alpha.trunkmasters.com>2026-08-27 03:04:46 -0500
commit2becf90cbeed1e8431dfd896e8a1b0e52085a807 (patch)
treea2c63582302d79d3b93dee005f71c667e192ae02 /sci-misc
parenta5b204c853f6ce1d5c74fb57a0c5c64567baeab6 (diff)
downloadbaldeagleos-repo-2becf90cbeed1e8431dfd896e8a1b0e52085a807.tar.gz
baldeagleos-repo-2becf90cbeed1e8431dfd896e8a1b0e52085a807.tar.xz
baldeagleos-repo-2becf90cbeed1e8431dfd896e8a1b0e52085a807.zip
Adding metadata
Diffstat (limited to 'sci-misc')
-rw-r--r--sci-misc/jupyterlab-desktop-bin/Manifest1
-rw-r--r--sci-misc/jupyterlab-desktop-bin/jupyterlab-desktop-bin-4.6.3.1.ebuild107
2 files changed, 108 insertions, 0 deletions
diff --git a/sci-misc/jupyterlab-desktop-bin/Manifest b/sci-misc/jupyterlab-desktop-bin/Manifest
index 32f24fbbb6c5..2acfdf2a780a 100644
--- a/sci-misc/jupyterlab-desktop-bin/Manifest
+++ b/sci-misc/jupyterlab-desktop-bin/Manifest
@@ -1,2 +1,3 @@
DIST jupyterlab-desktop-bin-4.2.5.1.rpm 336515433 BLAKE2B 7173a3179b848471540070b172f5b196e7a0192bc3dd60d9ba20b129ce1276ac4707c6f37a2371707fdce1c2a4ed8943006e9e08b1464717f0d696ad5e11843d SHA512 62669c48a632441075bdf96796866e4a64601ad06f4e9fc85b52e3956aa6ce85dd7f52816cc3c9c4466eeff7759c92721dbabf274dc6001785cb71cb84e2ed9f
DIST jupyterlab-desktop-bin-4.6.2.1.rpm 411215781 BLAKE2B 61c5374bfd3ed78ddf1b805894dab998249b3f72bc3977fd98d4bb4f737f508bbd7191d72d57859ebae313a6ef8aeffe4d3b79eddb05eafb2a6ee0b8fc3e2e6c SHA512 163b2370ad21d56488746f6d00446c0968c8a59b08be74d092cda3cfa3b018a345fe5e8d9b9e0526920195bcefe5b78f2e4d4f2a55c2c22180134fb60eb08405
+DIST jupyterlab-desktop-bin-4.6.3.1.rpm 412014597 BLAKE2B 63d5d4d16e3cc67b5a358f47165f06f66150fd4af566194bc76af73a496c0cdedbbdb73057ef0bba6a12ae68443ba494d258204bc670c4d35f8e87c2b9a656af SHA512 721fc02106b3278da09e42fc10e8d6fd2516869f731dd6f199eaff678c011a36dcc1d7261cdedc11f1216cd4951c3c14ba1375fc4fb3a9fdde73eef43aa87298
diff --git a/sci-misc/jupyterlab-desktop-bin/jupyterlab-desktop-bin-4.6.3.1.ebuild b/sci-misc/jupyterlab-desktop-bin/jupyterlab-desktop-bin-4.6.3.1.ebuild
new file mode 100644
index 000000000000..fae4000ce759
--- /dev/null
+++ b/sci-misc/jupyterlab-desktop-bin/jupyterlab-desktop-bin-4.6.3.1.ebuild
@@ -0,0 +1,107 @@
+# Copyright 2019-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CHROMIUM_LANGS="
+ af am ar bg bn ca cs da de el en-GB en-US es es-419 et fa fi fil fr gu he hi
+ hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr sv
+ sw ta te th tr uk ur vi zh-CN zh-TW
+"
+
+RPM_COMPRESS_TYPE=xz
+inherit chromium-2 desktop rpm xdg
+
+DESCRIPTION="JupyterLab desktop application, based on Electron"
+HOMEPAGE="https://jupyter.org/"
+SRC_URI="https://github.com/jupyterlab/${PN%%-bin}/releases/download/v$(ver_rs 3 -)/JupyterLab-Setup-Fedora-x64.rpm -> ${P}.rpm"
+S="${WORKDIR}"
+
+# Electron bundles a bunch of things
+LICENSE="
+ MIT BSD BSD-2 BSD-4 AFL-2.1 Apache-2.0 Ms-PL GPL-2 LGPL-2.1 APSL-2
+ unRAR OFL-1.1 CC-BY-SA-3.0 MPL-2.0 android public-domain all-rights-reserved
+"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+RESTRICT="bindist mirror"
+
+RDEPEND="
+ >=app-accessibility/at-spi2-core-2.46.0:2
+ dev-libs/expat
+ dev-libs/glib
+ dev-libs/nspr
+ dev-libs/nss
+ >=dev-python/jupyterlab-$(ver_cut 1-3)
+ media-libs/alsa-lib
+ media-libs/mesa
+ net-print/cups
+ sys-apps/dbus
+ sys-libs/glibc
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf
+ x11-libs/gtk+:3
+ x11-libs/libdrm
+ x11-libs/libX11
+ x11-libs/libxcb
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libxkbcommon
+ x11-libs/libXrandr
+ x11-libs/libxshmfence
+ x11-libs/pango
+"
+
+QA_PREBUILT="opt/JupyterLab/*"
+
+pkg_pretend() {
+ chromium_suid_sandbox_check_kernel_config
+}
+
+src_prepare() {
+ default
+ # cleanup languages
+ pushd "opt/JupyterLab/locales" || die
+ chromium_remove_language_paks
+ popd || die
+}
+
+src_configure() {
+ chromium_suid_sandbox_check_kernel_config
+ default
+}
+
+src_install() {
+ local size=512
+ doicon -s ${size} "usr/share/icons/hicolor/${size}x${size}/apps/jupyterlab-desktop.png"
+
+ domenu usr/share/applications/jupyterlab-desktop.desktop
+
+ local DESTDIR="/opt/JupyterLab"
+ pushd "opt/JupyterLab" || die
+
+ exeinto "${DESTDIR}"
+ doexe chrome_crashpad_handler jupyterlab-desktop *.so*
+
+ insinto "${DESTDIR}"
+ doins *.pak *.bin *.json *.dat
+ insopts -m0755
+ doins -r locales resources
+
+ dosym "${DESTDIR}"/jupyterlab-desktop /opt/bin/jupyterlab-desktop
+ popd || die
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ elog ""
+ elog "On initial startup you will be prompted to select the python environment of"
+ elog "your choice. Either select a specific python version, e.g. /usr/bin/pythonX.Y,"
+ elog "or choose /usr/bin/python to follow the system wide setting in"
+ elog "/etc/python-exec/python-exec.conf."
+ elog "Please note that only python environments corresponding to the enabled"
+ elog "PYTHON_TARGETS on dev-python/jupyterlab will work."
+ elog ""
+}